mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.Runtime.InteropServices.ComVisible(true)

The is nonfunctional, and can be used only as the base class for SOAP attributes.

Provides default functionality for all SOAP attributes.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Creates an instance of .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets or sets a value indicating whether the type must be nested during SOAP serialization.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  You can get or set the value of the field through the public property.

  The XML namespace to which the target of the current SOAP attribute is serialized.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object

  You do not need to use the field directly.

  A reflection object used by attribute classes derived from the class to set XML serialization information.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  For example, if a field FieldA of an object ObjectB is qualified with the SoapFieldAttribute(UseAttribute=true) attribute, FieldA will be serialized as <ObjectB><FieldA>5</FieldA></ObjectB>. If the property is set to false, FieldA will be serialized as <ObjectB FieldA="5"></ObjectB>.

  Gets or sets a value indicating whether the target of the current attribute will be serialized as an XML attribute instead of an XML field.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  If the current property returns null, then the namespace is not qualified.

  Gets or sets the XML namespace name.